Issue 73259 - Arrows in DB wizards should be localizeable
Summary: Arrows in DB wizards should be localizeable
Status: CLOSED FIXED
Alias: None
Product: Base
Classification: Application
Component: code (show other issues)
Version: OOo 2.0.4
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: lars.langhans
QA Contact: issues@dba
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-08 14:27 UTC by alan
Modified: 2017-05-20 10:33 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
The changes needed for RTL, if not localizeable (2.11 KB, patch)
2007-01-08 14:30 UTC, alan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description alan 2007-01-08 14:27:57 UTC
In the database form wizard, there are buttons for moving fields from one
listbox to another. These buttons use the characters '>' and '<'. In RTL, the
position of the listboxes is reversed, so I need to change the '>' to '<' and
vice versa. These are hardcoded and cannot be localized. The result is that for
RTL users, the arrows point the wrong way. When building an RTL OOo, I had to
change these chars in the code. I'm attaching a diff which contains the changes
I made. However, there should be a way to localize the arrows.
Comment 1 alan 2007-01-08 14:30:44 UTC
Created attachment 42005 [details]
The changes needed for RTL, if not localizeable
Comment 2 marc.neumann 2007-01-08 14:39:48 UTC
Hi,

I reassign it to the right developer.

-> bc: please check how other wizards are doing this.

Bye Marc
Comment 3 berend.cornelius 2007-01-10 14:48:04 UTC
bc: Setting target to OOo. 2.3 
Comment 4 berend.cornelius 2007-01-12 14:03:57 UTC
Acception issue.
Comment 5 berend.cornelius 2007-07-23 11:13:53 UTC
bc: setting target to OOo 2.x
Comment 6 berend.cornelius 2008-01-02 17:23:40 UTC
bc: As this is a UI relevant issue it will not make its way into OOo.2.x.
Changing target to OOo. 3.0
Comment 7 berend.cornelius 2008-06-11 09:59:13 UTC
As discussed assigning to Lars
Comment 8 lars.langhans 2009-01-19 12:30:07 UTC
fixed, checked with DEV300_m38 and environment variable SAL_RTL_ENABLED=1